﻿Public Class Form1
    Private mFileName As String = Nothing
    Private Sub OpenToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles OpenToolStripMenuItem.Click
        Dim ofd As New OpenFileDialog
        ofd.Filter = "Excel Spreadsheet (*.XLSX;*.XLSM)|*.XLSX;*.XLSM"
        ofd.FilterIndex = 0
        If ofd.ShowDialog() = DialogResult.OK Then
            mFileName = ofd.FileName
            FpSpread1.OpenExcel(mFileName)
            SaveToolStripMenuItem.Enabled = True
        End If
    End Sub

    Private Sub SaveToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles SaveToolStripMenuItem.Click
        FpSpread1.SaveExcel(mFileName)
    End Sub

    Private Sub SaveAsToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles SaveAsToolStripMenuItem.Click
        Dim sfd As SaveFileDialog = New SaveFileDialog()
        sfd.Filter = "Excel Spreadsheet (*.XLSX;*.XLSM)|*.XLSX;*.XLSM"
        sfd.FilterIndex = 0
        sfd.FileName = mFileName
        If sfd.ShowDialog() = DialogResult.OK Then
            mFileName = sfd.FileName
            FpSpread1.SaveExcel(mFileName)
            SaveToolStripMenuItem.Enabled = True
        End If
    End Sub

    Private Sub DesignToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles DesignToolStripMenuItem.Click
        FpSpreadDesigner1.ShowDialog(FpSpread1)
    End Sub

    Private Sub ExitToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles ExitToolStripMenuItem.Click
        Dim ret As DialogResult = MessageBox.Show("Do you want to save this file before closing?", "Closing", MessageBoxButtons.YesNoCancel)
        If ret = DialogResult.Cancel Then
            Return
        ElseIf ret = DialogResult.Yes Then
            SaveToolStripMenuItem_Click(Nothing, EventArgs.Empty)
        End If
        Close()
    End Sub
End Class
